Generate shareable link for result
curl --request POST \
--url https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/ \
--header 'Content-Type: application/json' \
--header 'X-CEKURA-API-KEY: <api-key>' \
--data '
{
"expire_at": "2023-11-07T05:31:56Z",
"password": "<string>"
}
'import requests
url = "https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/"
payload = {
"expire_at": "2023-11-07T05:31:56Z",
"password": "<string>"
}
headers = {
"X-CEKURA-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CEKURA-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({expire_at: '2023-11-07T05:31:56Z', password: '<string>'})
};
fetch('https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expire_at' => '2023-11-07T05:31:56Z',
'password' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-CEKURA-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/"
payload := strings.NewReader("{\n \"expire_at\": \"2023-11-07T05:31:56Z\",\n \"password\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-CEKURA-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/")
.header("X-CEKURA-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"expire_at\": \"2023-11-07T05:31:56Z\",\n \"password\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CEKURA-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expire_at\": \"2023-11-07T05:31:56Z\",\n \"password\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"token": "<string>",
"shareable_link": "<string>",
"is_password_protected": true
}{
"field_name": [
"<string>"
]
}Results
Generate shareable link for result
Generates a secure, time-limited shareable link that allows users to view test results without authentication. This feature requires an active subscription with whitelabel_reports enabled and provides both standard and custom branded URLs based on organization settings.
POST
/
test_framework
/
v1
/
results
/
{id}
/
create_shareable_link_token
/
Generate shareable link for result
curl --request POST \
--url https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/ \
--header 'Content-Type: application/json' \
--header 'X-CEKURA-API-KEY: <api-key>' \
--data '
{
"expire_at": "2023-11-07T05:31:56Z",
"password": "<string>"
}
'import requests
url = "https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/"
payload = {
"expire_at": "2023-11-07T05:31:56Z",
"password": "<string>"
}
headers = {
"X-CEKURA-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CEKURA-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({expire_at: '2023-11-07T05:31:56Z', password: '<string>'})
};
fetch('https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expire_at' => '2023-11-07T05:31:56Z',
'password' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-CEKURA-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/"
payload := strings.NewReader("{\n \"expire_at\": \"2023-11-07T05:31:56Z\",\n \"password\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-CEKURA-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/")
.header("X-CEKURA-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"expire_at\": \"2023-11-07T05:31:56Z\",\n \"password\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CEKURA-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expire_at\": \"2023-11-07T05:31:56Z\",\n \"password\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"token": "<string>",
"shareable_link": "<string>",
"is_password_protected": true
}{
"field_name": [
"<string>"
]
}Authorizations
api_keyoauth2embedded_sessionshareable_linksupabase_session
API Key Authentication. It should be included in the header of each request.
Path Parameters
A unique integer value identifying this result.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Unique token identifier for the shareable link, used for authentication and access control
Complete URL for the shareable link that can be distributed to external users
Whether viewers must enter a password to open the link